summaryrefslogtreecommitdiff
path: root/Master/tlpkg/bin/tl-update-images
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2013-05-17 22:42:44 +0000
committerKarl Berry <karl@freefriends.org>2013-05-17 22:42:44 +0000
commitc9a8d620d3ff07bb3c431c3749e5b7ede6d1a2dc (patch)
treed0e87f5eb5deb3d4e81db17359f71215363d7802 /Master/tlpkg/bin/tl-update-images
parenta0851b9bd912f89c8b857e066e9c2390a28d0061 (diff)
prune platforms from iso
git-svn-id: svn://tug.org/texlive/trunk@30535 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/tlpkg/bin/tl-update-images')
-rwxr-xr-xMaster/tlpkg/bin/tl-update-images47
1 files changed, 32 insertions, 15 deletions
diff --git a/Master/tlpkg/bin/tl-update-images b/Master/tlpkg/bin/tl-update-images
index aacf2c54b63..dcab9d5c84e 100755
--- a/Master/tlpkg/bin/tl-update-images
+++ b/Master/tlpkg/bin/tl-update-images
@@ -81,9 +81,9 @@ MAKEINST ()
mkdir $imgdir
# files and a few dirs from master.
- cp -p $master/.mkisofsrc $imgdir # mkisofs control
- cp -p $master/* $imgdir 2>/dev/null || true # intentionally skip dirs
- cp -pr $master/readme* $master/source $imgdir # do these few dirs
+ cp -p $master/.mkisofsrc $imgdir || exit 1 # mkisofs control
+ cp -p $master/* $imgdir 2>/dev/null # intentionally skip dirs
+ cp -pr $master/readme* $master/source $imgdir # but do these few dirs
# included preformatted doc in new dir for the DVD.
mkdir $imgdir/texlive-doc
@@ -98,18 +98,31 @@ MAKEINST ()
fi
cp -pr install-tl *.bat tlpkg archive $imgdir
+ # remove some platforms to save space on the dvd.
+ # do this here so that they can be kept in the tree,
+ # and thus installed normally over the net.
+ prune="mips-irix alpha-linux powerpc-linux i386-kfreebsd amd64-kfreebsd \
+ mipsel-linux armel-linux armhf-linux"
+ echo "-- pruning platforms $prune..."
+ mkdir $imgdir/tlpkg/bin
+ cp $mydir/tl-prune-platforms $imgdir/tlpkg/bin
+ $imgdir/tlpkg/bin/tl-prune-platforms $prune >/tmp/imgprune
+
+ # some files we don't want in the image after all.
+ rm -rf $imgdir/doc.html $imgdir/tlpkg/texlive.tlpdb.xz $imgdir/tlpkg/bin
+
+ # the actual iso build.
cd $imgdir || exit 1
- # cleanups of files we didn't want after all.
- rm doc.html tlpkg/texlive.tlpdb.xz
cmd="$mkisofs $common_mkisofs_options -o $iso ."
echo "-- `date` with: $cmd"
$cmd
if test $? -ne 0; then
- echo "$0: $mkisofs failed, goodbye." >&2
+ echo "$0: $mkisofs failed (status $?), goodbye." >&2
+ exit $?
fi
chmod a+rw $iso
- rm -rf $imgdir
+ #rm -rf $imgdir
# make checksums
# and symlinks with short names (potentially used in /etc/fstab).
@@ -172,9 +185,21 @@ do_tar ()
MAKETAR ()
{
+ echo
+ echo "-- `date` Writing tars to $target"
+
# remove old tarballs and checksums.
rm -f $target/$NAME-*.tar.*
+ # make tar files based on the tree we are running out of.
+ cd $master || exit 1
+ do_tar $NAME-$D-extra \
+ LICENSE* README* autorun.inf *.html install* re* tl-* \
+ tlpkg/TeXLive tlpkg/translations tlpkg/tlpostcode
+
+ cd $master || exit 1
+ do_tar $NAME-$D-texmf texmf*
+
if $tar_bin_only || $tar_all; then
cd $master/bin || exit 1
do_tar $NAME-$D-bin *
@@ -186,14 +211,6 @@ MAKETAR ()
do_tar $NAME-$D-source *
$tar_source_only && return
fi
-
- cd $master || exit 1
- do_tar $NAME-$D-extra \
- LICENSE* README* autorun.inf *.html install* re* tl-* \
- tlpkg/TeXLive tlpkg/translations tlpkg/tlpostcode
-
- cd $master || exit 1
- do_tar $NAME-$D-texmf texmf*
# one more unusual case: the development sources, which we record in
# the 00texlive.image (fake) package; see its .tlpsrc.